Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 17 Sep 2014, 15:39
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
Installer le logiciel Open Sankore :tableau blanc [Résolu]
Moderators: Béèm, darkerror05
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 3 [38 Posts]   Goto page: Previous 1, 2, 3 Next
Author Message
Tomasi

Joined: 14 Dec 2011
Posts: 41

PostPosted: Sun 09 Dec 2012, 18:16    Post subject:  

Merci de tes efforts Médor. Je ne peux malheureusement pas tester ce soir. Le problème avec cette version 1.25 est qu'elle est très jeune dans la génèse du projet Open-Sankore et qu'en un an il y a eu beaucoup d'innovations (la gestion des widgets, le navigateur intégré justement, la gestion des fonds et des outils de géométrie).

Il me semble que cette version même sous d'autres systèmes n'était pas ou peu utilisée par les utilisateurs d'ASRI qui préféraient d'autres applications séparées.

Je testerai demain ta solution. Et si ASRI pouvait nous dire ce qu'il en pense..
Back to top
View user's profile Send private message 
Tomasi

Joined: 14 Dec 2011
Posts: 41

PostPosted: Mon 10 Dec 2012, 16:12    Post subject:  

Des fois un peu de recul fait du bien : une fois les libs installées les fichiers mpg ne sont plus lisibles Confused il ne reste plus qu'à reprendre toutes les librairies une par une et de tester...
Back to top
View user's profile Send private message 
Médor


Joined: 26 May 2011
Posts: 1690

PostPosted: Tue 11 Dec 2012, 16:20    Post subject:  

Bonsoir,

J'ai réitéré avec Sankoré V2 en sfs (50Mo), pour que l'appli. se lance j'ai du ajouter (en plus des précédentes) comme dépendances :
libgstreamer0.10-0_0.10.28-1_i386.deb
libgstreamer-plugins-base0.10-0_0.10.28-1_i386.deb

Je n'ai plus de fermeture intempestive du navigateur intégré mais je n'ai pas encore fait d'autres tests !

Voici les messages dans la console :
Code:

root@puppypc /usr/local/Open-Sankore-2.00.00
# ./run.sh
"/root/.local/share/data/Sankore/document/Sankore Document 2012-12-11 20-59-38.234/metadata.rdf"
Bogus message code 0
libpng error: Read Error
root@puppypc /usr/local/Open-Sankore-2.00.00
#


Ça progresse tout de même !


Cordialement,
Médor.

_________________
Recherches Puppy|Index Puppy|Index FR|Tuto Toutou
Back to top
View user's profile Send private message 
ASRI éducation


Joined: 09 May 2009
Posts: 2441
Location: France

PostPosted: Tue 11 Dec 2012, 16:30    Post subject:  

Médor wrote:
...
Ça progresse tout de même !
...

Tu as raison.
Le sujet m'intéresse, dès que j'ai un peu de temps de libre, c'est promis, je me joins à vous.
Le sujet m'intéresse, mais actuellement je suis agrippé à des tests de woof. Et étant donné que Médor est sur le coup Wink je ne pense pas avoir plus à apporter (je lui fais confiance, il est compétent et persévérant).
@ très bientôt !
Back to top
View user's profile Send private message Visit poster's website 
Tomasi

Joined: 14 Dec 2011
Posts: 41

PostPosted: Tue 11 Dec 2012, 17:41    Post subject:  

@Médor:
Peux tu me dire quelle version de Puppy tu utilises ? histoire que j'essaye de mon côté...
Moi je me suis obstiné (c'est peut-être une erreur...) avec ASRIprof (sous lucid)
Pour les vidéos, c'est vraiment dommage qu'en applet cela ne fonctionne pas car en passant par le navigateur intégré c'est ok (mais pas vraiment pratique :file:///usr/local/Open-Sankore-2.00.00/library/Videos/Sciences/video_bourgeon.mpg).

Quote:
Bogus message code 0
libpng error: Read Error

Tiens, ceux là je ne les connaissait pas lol
Back to top
View user's profile Send private message 
Médor


Joined: 26 May 2011
Posts: 1690

PostPosted: Tue 11 Dec 2012, 18:39    Post subject:  

Bonsoir Tomasi,

Je teste pour l'instant avec la Lucid-528 donc guère de différences par rapport à l'ASRI-300 !

Le navigateur inclus dans Sankoré fonctionne aussi correctement sur le forum.
Par contre l'ouverture d'un fichier audio de la bibliothèque fige le programme et m'oblige à faire un Ctrl+Alt+Retour AR, donc je n'ai pas vu les messages dans la console, peut-être un prob. avec pulse audio le genre de dépendance qui si elle est bien utilisée ne me réjouis pas du tout !

Je ne sais pas si c'est possible de lancer Sankoré sans qu'il soit en mode plein écran ce serai plus pratique au moins pour les tests... (Résolu à présent)

Édité :

Il semble manquer pas mal de fichiers pour Gstreamer, j'ai testé avec gstreamer-0.10.35-lucid.sfs de shinobar présenté sur ce fil mais il apparait beaucoup de messages d'erreurs dans la console !

La doc de Gstreamer se trouve sur ce fil, mais je n'ai pas trouvé la commande de configuration indiquée : gstreamer-properties, ni pour l'instant le paquet qui contient cette commande...
La commande gst-inspect est bien présente pour lister les greffons supportés.


Cordialement,
Médor.

_________________
Recherches Puppy|Index Puppy|Index FR|Tuto Toutou
Back to top
View user's profile Send private message 
Tomasi

Joined: 14 Dec 2011
Posts: 41

PostPosted: Wed 12 Dec 2012, 15:32    Post subject:  

Alors bonne nouvelle la video et l'audio fonctionne !!!Mais alors c'est un peu un mic-mac...
En gros j'ai monté le sfs gstreamer, installé les libs habituelles plus la série des gstreamer.deb vu qu'il ne se passait rien (je sais c'est stupide vu que je n'avais rien). Quelques messages d'erreurs plus tard, j'installe libgudev, libvisual et libmjpegtools. Toujours rien.
Et là j'ouvre le sfs de gstreamer et copie le contenu /usr/lib et /usr/lib/gstreamer et là cela fonctionne.

Maintenant j'ai un doute : si je crée un fichier de sauvegarde maintenant, va-t-il conservé ce que je viens de faire ?

Après je pourrai refaire une install plus propre
Back to top
View user's profile Send private message 
ASRI éducation


Joined: 09 May 2009
Posts: 2441
Location: France

PostPosted: Wed 12 Dec 2012, 15:53    Post subject:  

Tomasi wrote:
...
j'ai un doute : si je crée un fichier de sauvegarde maintenant, va-t-il conservé ce que je viens de faire ?

Normalement oui. Cela vaut la peine d'essayer.
Back to top
View user's profile Send private message Visit poster's website 
Tomasi

Joined: 14 Dec 2011
Posts: 41

PostPosted: Wed 12 Dec 2012, 16:16    Post subject:  

C'est bon toujour fonctionnel après redémarrage
Médor wrote:
, peut-être un prob. avec pulse audio le genre de dépendance qui si elle est bien utilisée ne me réjouis pas du tout !

Et non pas de pb avec Pulse Audio juste Gstreamer Wink

Le sfs n'est pas chargé au démarrage : il y a donc de fortes chances que ce soit le contenu copié à la main qui soit déterminant
Back to top
View user's profile Send private message 
Médor


Joined: 26 May 2011
Posts: 1690

PostPosted: Wed 12 Dec 2012, 16:26    Post subject:  

Bonsoir Tomasi,

Ça devrait le faire !
Les fichiers installés et ceux copiés du sfs sont tous dans le "pupsave".

Le plus simple étant de faire un répertoire (dans une partition Linux !), y décompresser manuellement la partie utile des .deb, puis y copier par dessus les fichiers du sfs de shinobar avant d'en faire un nouveau sfs du total des dépendances...

Vraisemblablement certains fichiers sont manquants dans le sfs de Gstreamer !
Reste à savoir lesquels ?


Cordialement,
Médor.

_________________
Recherches Puppy|Index Puppy|Index FR|Tuto Toutou
Back to top
View user's profile Send private message 
Tomasi

Joined: 14 Dec 2011
Posts: 41

PostPosted: Wed 12 Dec 2012, 18:38    Post subject:  

Le pet est en upload. Pour moi il est fonctionnel Wink
En tout cas, merci beaucoup Médor pour ton aide et le temps que tu as consacré à ce problème ( et à mon manque de connaissances lol )


Message publié sur forum ASRI
Upload en cours sur dropbox. J'ai testé avec une ASRI v3 prof mais cela devrait fonctionner avec une 300 full. Il y a un lien dans menu>profs. Le pet fait 118 Mo mais près de 280 Mo sont nécessaires après installation. Une cure d'ammaigrissement est peut-être nécessaire il faudrait faire un tri dans les libs de Gstreamer, les docs... .
Mais pour ce soir ce sera tout Wink
Pour un test, essayez en ram et créez un nouveau fichier de sauvegarde
Back to top
View user's profile Send private message 
ASRI éducation


Joined: 09 May 2009
Posts: 2441
Location: France

PostPosted: Wed 12 Dec 2012, 18:48    Post subject:  

Merci à toi Tomasi et bon test à tous (avis et retours appréciés).
Back to top
View user's profile Send private message Visit poster's website 
Tomasi

Joined: 14 Dec 2011
Posts: 41

PostPosted: Wed 12 Dec 2012, 19:02    Post subject:  

Lien de téléchargement
http://dl.dropbox.com/u/128353971/open_sankore.pet
Back to top
View user's profile Send private message 
Tomasi

Joined: 14 Dec 2011
Posts: 41

PostPosted: Wed 12 Dec 2012, 19:03    Post subject:  

Tomasi wrote:
Lien de téléchargement
http://dl.dropbox.com/u/128353971/open_sankore.pet
Back to top
View user's profile Send private message 
Médor


Joined: 26 May 2011
Posts: 1690

PostPosted: Thu 13 Dec 2012, 15:24    Post subject:  

Bonsoir,

Le contenu purgé (décompressé) des fichiers pour Sankoré en FR avec les dépendances devrait faire 171Mo !

Sankoré V2 utilise la libQt 4.8.0 dans sont sous-répertoire propre, les libQt*4.6.2 contenues dans /usr/lib/ ne sont pas utilisées par Sankoré !

Beaucoup de libs de Gstreamer ne servent plus car remplacées par celles du sfs plus récentes (voir les liens...), mais le résultat global reste un mixte assez disgracieux de deux versions...

Ci-joint le détail purgé de l'arborescence complète du contenu retenu pour un pet/sfs.

Cordialement,
Médor.
Arborescence.txt.gz
Description 
gz

 Download 
Filename  Arborescence.txt.gz 
Filesize  11.67 KB 
Downloaded  275 Time(s) 
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 3 [38 Posts]   Goto page: Previous 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0793s ][ Queries: 13 (0.0055s) ][ GZIP on ]